* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    margin: 0;
    padding: 0;
    color: darkblue;
    overflow-x: hidden;
}
.equal-sign {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px; 
    margin-top: 20px;
}
.line {
    width: 24px; 
    height: 3px; 
    background-color: black; 
}
.background-gradient {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -10;
    background: radial-gradient(circle at 52.1% -29.6%, rgb(144, 17, 105) 0%, rgb(51, 0, 131) 100.2%);
    background-size: cover;
    background-position: center;
}
.main{
    position: absolute;
    font-size: 50px;
    color: white;
    background: linear-gradient(90deg, #FFD700 70%, #00FFFF 30%);
    -webkit-text-fill-color: transparent;
	-webkit-background-clip: text;
	animation: animate 10s linear infinite;
    margin-top: 130px;
    margin-left: 130px;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    animation: 
        typing 7s ,
        cursor .4s step-end infinite alternate;
}
@keyframes cursor {
    50% { border-color: transparent }
}
@keyframes typing {
    from { width: 0 }
}
@keyframes animate {
	0% {
		background-position: 0%;
	}

	100% {
		background-position: 400%;
	}
}
.menu-button {
    cursor: pointer;
    display: inline-block;
    margin-left: 625px;
    margin-top: .1px;
}
.dropdown {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #7e57c2;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    opacity: 0;
    transform: translateY(-100%);
    transition: transform 0.5s ease, opacity 0.5s ease;
}
.dropdown.show {
    opacity: 1;
    transform: translateY(0);
}
.dropdown ul {
    list-style-type: none;
}
.dropdown ul li {
    margin: 20px 0;
    font-size: 2em;
    color: white;
    cursor: pointer;
}
.dropdown ul li:hover {
    color: #ccc;
}
.close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 3em;
    color: white;
    cursor: pointer;
}
.close:hover {
    color: #ccc;
}
.get_in_touch_bar {
    width: 200px;
    height: 60px;
    background-color: #0d0d0d;
    color: white;
    border: 2px solid #6a0dad;
    border-radius: 30px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    margin-left: 1050px;
}
.get_in_touch_bar:hover {
    background-color: #3c3c3c;
}
.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    border-radius: 10px;
    position: relative;
}
.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close-button:hover,
.close-button:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
form {
    display: flex;
    flex-direction: column;
}
label, input, textarea {
    margin: 7px 0;
    margin-top: 5px;
}
button {
    background-color: #4CAF50;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-top: 5px;
}
button:hover {
    background-color: #45a049;
}
.header-text {
    font-size: 36px;
    font-weight: bold;
    color: #fff; 
    text-align: center;
    margin-bottom: 20px;
}
.head1 {
    font-size: 24px;
    margin-top: 170px;
    color: white;
    margin-left: 15px;
}
.head2 {
    font-size: 24px;
    margin-top: 70px;
    color: white;
    margin-left: 140px;
}
.apply-button {
    background-color: #4CAF50;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.2em;
    transition: background-color 0.3s ease;
    margin-top: 90px;
    margin-left: 165px;
}
.apply-button:hover {
    background-color: #45a049;
}
.image-content {
    position: absolute;
    margin-left: 450px;
    height: 340px;
    width: 340px;
    top: 100px;
}
.image-content img {
    position: relative;
    max-width: 100%;
    height: auto;
    border-radius: 50px;
    margin-left: 300px;
    margin-top: 70px;
}
.hackathon-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
    width: 80%;
    max-width: 1200px;
    margin: 50px auto;
    border-radius: 10px;
    margin-top: 130px;
    position: relative;
}
.hackathon-text {
    flex: 1;
    margin-right: 20px;
    color: white;
    margin-top: 100px;
}
.hackathon-text h2 {
    position: absolute;
    font-size: 2.5em;
    margin-bottom: 10px;
    top: 5px;
    margin-left: 300px;
    color: yellow;
}
.hackathon-text p {
    font-size: 1.2em;
    line-height: 1.5;
}
.hackathon-image {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}
.hackathon-image img {
    max-width: 100%;
    height: auto;
    border-radius: 20px;
    margin-top: 90px;
    border: 2px solid orangered; 
}
@keyframes move-amoeba {
    0%, 100% {
        transform: translate(0, 0); 
    }
    25% {
        transform: translate(20px, 20px); 
    }
    50% {
        transform: translate(-20px, -20px); 
    }
    75% {
        transform: translate(20px, -20px); 
    }
}
.animated-border {
    display: inline-block;
    border: 2px solid white;
    border-radius: 10%; 
    padding: 20px; 
    animation: move-amoeba 7s ease-in-out infinite;
}
.sponsors-section {
    width: 80%;
    max-width: 1200px;
    margin: 50px auto;
    text-align: center;
    color: white;
    margin-top: 180px;
}
.sponsors-section h2 {
    font-size: 2.5em;
    margin-bottom: 20px;
    color: yellow;
}
.sponsors-row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 20px;
}
.sponsor {
    flex: 1 1 30%;
    max-width: 30%;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    margin: 10px;
    position: relative;
    overflow: hidden;
    transition: transform 0.3s ease;
}
.sponsor img {
    display: block;
    transition: transform 0.3s ease;
    border-style:solid;
    border-color: black;
    border-width: 3.5px;
    width: 120px;
    height: 100px;
    margin: 0 auto 10px;
    border-radius: 50% / 30%;
    border: 2px solid #00FFFF;
}
.sponsor1 img {
    height: 150px;
    width: 170px;
    margin-top: 50px;
}
.sponsor2 img {
    height: 150px;
    width: 170px;
    margin-top: 50px;
}
.sponsor3 img {
    height: 100px;
    width: 150px;
    margin-top: 75px;
}
.sponsor:hover {
    transform: scale(1.05);
}
.domains-section {
    width: 80%;
    max-width: 1200px;
    margin: 50px auto;
    text-align: center;
    color: white;
    margin-top: 100px;
}
.domains-row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 20px;
}
.domains-section h2 {
    font-size: 2.5em;
    margin-bottom: 20px;
    color: #FFD700;
}
.domain-box {
    flex: 1 1 30%;
    max-width: 30%;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    margin: 10px;
    border-radius: 10px;
    transition: transform 0.3s ease;
    position: relative;
}
.domain-box:hover {
    transform: scale(1.05);
}
.domain-box img {
    width: 140px;
    height: 110px;
    display: block;
    margin: 0 auto 10px;
    border-radius: 30% 70% 65% 35% / 30% 33% 67% 70%;
    border: 2px solid #39FF14;
}
.faq-section {
    padding: 40px;
    background-color: transparent; 
    border-bottom: none; 
    margin-top: 150px;
  }
  .faq-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    background-color: #fff; 
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  }
  .faq-item {
    margin: 20px;
    width: calc(50% - 40px);
    background-color: #0b0b0b; 
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 40px;
    background-color: transparent;
    border-bottom: none;
    position: relative
  }
  .faq-item h3 {
    font-weight: bold;
    margin-top: 0;
  }
  .faq-item p {
    margin-bottom: 20px;
  }
  .faq-item:hover {
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    transform: translateY(-5px);
  }
  .faq-item.open {
    background-color: #f7f7f7;
    border-color: #ccc;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
  }
  .faq-item.open h3 {
    font-weight: normal;
  }
  .faq-item.open p {
    display: block;
  }
  .faq-header {
    font-size: 24px;
    font-weight: bold;
    color: #fff;
    margin-bottom: 20px;
  }
  .header-text span {
    color: #fff;
  }
  .faq-section h2 {
    position: center;
    font-size: 2.5em;
    margin-bottom: 10px;
    top: 2320px;
    margin-left: 350px;
    color: yellow;
  }
  .teams-section {
    width: 80%;
    max-width: 1200px;
    margin: 50px auto;
    text-align: center;
    color: white;
    margin-top: 100px;
  }
  
  .teams-section h2 {
    font-size: 2.5em;
    margin-bottom: 20px;
    color: yellow;
  }

  
  .teams-row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 20px;
  }
  
  .team-box {
    flex: 1 1 30%;
    max-width: 30%;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    margin: 10px;
    background-color: #333;
    border-radius: 10px;
    transition: transform 0.3s ease;
  }
  
  .team-box:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
  }
  
  .team-box img {
    width: 120px;
    height: 100px;
    display: block;
    margin: 0 auto 10px;
    border-radius: 50%;
  }
  
  .team-box h3 {
    font-size: 1.5em;
    margin-bottom: 10px;
  }
  
  .team-box p {
    font-size: 1.2em;
    margin-bottom: 20px;
  }
